org.apache.sling.validation.impl.resourcemodel

## Class ResourceValidationModelProviderImpl

- java.lang.Object
- - org.apache.sling.validation.impl.resourcemodel.ResourceValidationModelProviderImpl

All Implemented Interfaces:
  org.apache.sling.validation.model.spi.ValidationModelProvider, org.osgi.service.event.EventHandler

    public class ResourceValidationModelProviderImpl
    extends Object
    implements org.apache.sling.validation.model.spi.ValidationModelProvider, org.osgi.service.event.EventHandler

### Field Summary

Fields
`static String` `APPLICABLE_PATHS`
`static String` `CHILDREN`
`static String` `NAME_REGEX`
`static String` `OPTIONAL`
`static String` `PROPERTIES`
`static String` `PROPERTY_MULTIPLE`
`static String` `SEVERITY`
`static String` `VALIDATING_RESOURCE_TYPE`
`static String` `VALIDATION_MODEL_RESOURCE_TYPE`
`static String` `VALIDATOR_ARGUMENTS`
`static String` `VALIDATORS`

### Constructor Summary

Constructors
Constructor and Description
`ResourceValidationModelProviderImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `activate(org.osgi.service.component.ComponentContext componentContext)`
`protected void` `deactivate(org.osgi.service.component.ComponentContext componentContext)`
`List<org.apache.sling.validation.model.ValidationModel>` `getValidationModels(String relativeResourceType)`
`void` `handleEvent(org.osgi.service.event.Event event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NAME_REGEX

    @Nonnull
    public static final String NAME_REGEX

See Also:
  Constant Field Values

#### CHILDREN

    @Nonnull
    public static final String CHILDREN

See Also:
  Constant Field Values

#### VALIDATOR_ARGUMENTS

    @Nonnull
    public static final String VALIDATOR_ARGUMENTS

See Also:
  Constant Field Values

#### VALIDATORS

    @Nonnull
    public static final String VALIDATORS

See Also:
  Constant Field Values

#### OPTIONAL

    @Nonnull
    public static final String OPTIONAL

See Also:
  Constant Field Values

#### PROPERTY_MULTIPLE

    @Nonnull
    public static final String PROPERTY_MULTIPLE

See Also:
  Constant Field Values

#### PROPERTIES

    @Nonnull
    public static final String PROPERTIES

See Also:
  Constant Field Values

#### VALIDATION_MODEL_RESOURCE_TYPE

    @Nonnull
    public static final String VALIDATION_MODEL_RESOURCE_TYPE

See Also:
  Constant Field Values

#### APPLICABLE_PATHS

    @Nonnull
    public static final String APPLICABLE_PATHS

See Also:
  Constant Field Values

#### VALIDATING_RESOURCE_TYPE

    @Nonnull
    public static final String VALIDATING_RESOURCE_TYPE

See Also:
  Constant Field Values

#### SEVERITY

    @Nonnull
    public static final String SEVERITY

See Also:
  Constant Field Values

### Constructor Detail

#### ResourceValidationModelProviderImpl

    public ResourceValidationModelProviderImpl()

### Method Detail

#### activate

    protected void activate(org.osgi.service.component.ComponentContext componentContext)
                     throws org.apache.sling.api.resource.LoginException

Throws:
  `org.apache.sling.api.resource.LoginException`

#### deactivate

    protected void deactivate(org.osgi.service.component.ComponentContext componentContext)

#### handleEvent

    public void handleEvent(org.osgi.service.event.Event event)

Specified by:
  `handleEvent` in interface `org.osgi.service.event.EventHandler`

#### getValidationModels

    @Nonnull
    public List<org.apache.sling.validation.model.ValidationModel> getValidationModels(@Nonnull
                                                                                                String relativeResourceType)

Specified by:
  `getValidationModels` in interface `org.apache.sling.validation.model.spi.ValidationModelProvider`